curl --request POST \
--url https://api.tella.com/v1/videos/{id}/clips/{clipId}/cut \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cuts": [
{
"fromMs": 2000,
"toMs": 3500
}
],
"fromMs": 2000,
"toMs": 3500
}
'import requests
url = "https://api.tella.com/v1/videos/{id}/clips/{clipId}/cut"
payload = {
"cuts": [
{
"fromMs": 2000,
"toMs": 3500
}
],
"fromMs": 2000,
"toMs": 3500
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({cuts: [{fromMs: 2000, toMs: 3500}], fromMs: 2000, toMs: 3500})
};
fetch('https://api.tella.com/v1/videos/{id}/clips/{clipId}/cut', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clip": {
"background": {
"type": "solid",
"color": "#000000ff",
"gradientAngle": 45,
"gradientColor1": "#ff0080ff",
"gradientColor2": "#7928caff",
"imageUrl": "https://cdn.example.com/bg.png",
"sourceId": "su_abc123",
"videoDurationSeconds": 12.4,
"videoUrl": "https://cdn.example.com/bg.mp4"
},
"createdAt": "2026-01-15T10:30:00.000Z",
"cuts": [
{
"durationMs": 750,
"startTimeMs": 1500
}
],
"durationSeconds": 12.5,
"id": "cl_xyz789ghi012",
"layoutSceneType": "combi",
"maxDurationSeconds": 14.2,
"name": "Intro",
"order": 0,
"studioSound": false,
"updatedAt": "2026-01-15T14:45:00.000Z",
"videoId": "vid_abc123def456"
}
}{
"error": {
"code": "bad_request",
"doc_url": "https://tella.tv/docs/api-reference/errors#bad-request",
"message": "The request was malformed or contained invalid parameters."
}
}{
"error": {
"code": "unauthorized",
"doc_url": "https://tella.tv/docs/api-reference/errors#unauthorized",
"message": "Authentication is required. Provide a valid API key."
}
}{
"error": {
"code": "forbidden",
"doc_url": "https://tella.tv/docs/api-reference/errors#forbidden",
"message": "You don't have permission to access this resource."
}
}{
"error": {
"code": "not_found",
"doc_url": "https://tella.tv/docs/api-reference/errors#not-found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "unprocessable_entity",
"doc_url": "https://tella.tv/docs/api-reference/errors#unprocessable-entity",
"message": "The request was well-formed but contained semantic errors."
}
}{
"error": {
"code": "rate_limit_exceeded",
"doc_url": "https://tella.tv/docs/api-reference/errors#rate-limit-exceeded",
"message": "You have exceeded the rate limit. Please slow down."
}
}{
"error": {
"code": "internal_server_error",
"doc_url": "https://tella.tv/docs/api-reference/errors#internal-server-error",
"message": "An unexpected error occurred on the server."
}
}Cut one or more time ranges from a clip
Cut one or more time ranges from a clip in a single request. Pass cuts: [{fromMs, toMs}, ...] for multiple ranges or the legacy fromMs/toMs pair for a single range. Overlapping or adjacent ranges are merged into the clip’s existing cuts. To clear all cuts, call updateClip with cuts: [].
Authorizations
API key obtained from your Tella account settings
Path Parameters
Video identifier
"vid_abc123def456"
Clip identifier
"cl_xyz789ghi012"
Body
Cut one or more time ranges from the clip in a single request. Provide either cuts: [{fromMs, toMs}, ...] (preferred) or the legacy single-range fromMs/toMs pair. Overlapping or adjacent ranges are merged into the clip's existing cuts.
Time ranges to cut from the clip. Merged with the clip's existing cuts; overlapping or adjacent ranges are joined.
1Show child attributes
Show child attributes
Single-range shortcut for cuts: [{fromMs, toMs}]. Use cuts for multiple ranges.
0 <= x <= 90071992547409912000
Single-range shortcut for cuts: [{fromMs, toMs}]. Use cuts for multiple ranges.
x <= 90071992547409913500
Response
OK
Response shape for a single clip
A section of a video
Show child attributes
Show child attributes
Was this page helpful?